Subject: bug#36904: 12.1.1; document class completion reports error if beamer is chosen

From: jfbu <[email-masked]>
Date: Sat, 3 Aug 2019 15:09:23 +0200

Le 3 août 2019 à 15:02, jfbu <[email-masked]> a écrit :

> 
> Le 3 août 2019 à 14:34, jfbu <[email-masked]> a écrit :
> 
>> Hi,
>> 
>> Steps to reproduce:
>> 
>> 1. Find a new empty file in new buffer
>> 
>> 2. C-c C-e and choose document
>> 
>> 3. Then enter beamer in the mini-buffer as document class
>> 
>> An error is raised with message
>> 
>> Symbol’s value as variable is void: LaTeX-hyperref-package-options-list
>> 
>> 
>> I don't seem to have any reference to this variable in my configuration files,
>> 
>> My 12.1.1 has some patches from dev repo but possibly not all.
>> 
>> Sorry if this error does not show on genuine install but I don't have any time
>> to investigate.
> 
> 
> I can reproduce error with fresh Elpa installed pristine 12.1.2 release
> 
> (by the way, https://www.gnu.org/software/auctex/ isn't informative on current release)
> 
> my custom.el has no reference to this variable, nor my other stuff in emacs
> personal configuration

Sorry for noise but I see in dev repo

$ git log -1 c92251cb
commit c92251cb8dca5a35c818b0ce903277dd36e893ec
Author: Arash Esbati <[email-masked]>
Date:   Fri May 17 13:42:14 2019 +0200

    Load hyperref.el in `LaTeX-beamer-class-options'
    
    * style/beamer.el (LaTeX-beamer-class-options): Load "hyperref.el"
    in order to have `LaTeX-hyperref-package-options-list' defined
    when the document class is requested and the style hook hasn't run
    yet.  (bug#35649)

hence I suppose mine is a duplicate of bug#35649.

A remark: correct me if I am wrong but the dev repo (git savannah)
url = https://git.savannah.gnu.org/git/auctex.git

has not tags for ELPA releases like 12.1.1 or 12.1.2 ?

This makes it hard to see which commits made it into 12.1.2?
Or am I missing something obvious?

Best,

Jean-François